<?php
/**
* @version $Id: bsbanner.php $
* @version		1.4.2 23/08/2019
* @package		bsbanner
* @author       Bernard Saulmé
* @copyright	Copyright (C) 2008 - 2019 Bernard Saulmé
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

defined('_JEXEC') or die;

class BsBannerHelper
{
	/**
	 * Configure the Linkbar.
	 *
	 * @param	string	The name of the active view.
	 */
	public static function addSubmenu($vName = 'bsbanner')
	{
		if (version_compare(JVERSION, '3.99.99', 'lt')) {
			JHtmlSidebar::addEntry(JText::_('COM_BSBANNER_HOME'), 'index.php?option=com_bsbanner', $vName == 'bsbanner');
			JHtmlSidebar::addEntry(JText::_('COM_BSBANNER_PLUGIN'), 'index.php?option=com_bsbanner&view=plugin', $vName == 'plugin');
			JHtmlSidebar::addEntry(JText::_('COM_BSBANNER_PARAM'), 'index.php?option=com_bsbanner&view=param', $vName == 'param');
		}
	}

	/**
	 * Gets a list of the actions that can be performed.
	 *
	 * @param	int		The category ID.
	 * @return	JObject
	 */
	public static function getActions($categoryId = 0)
	{
	}

	// For User Action Log
	public static function getContentTypeLink($contentType = 'page', $id = 0)
	{
		// Redirect only to info page for now !
		return 'index.php?option=com_bsbanner&view=bsbanner';	
	}
}

?>
