<?php
/**
* @version $Id: default.php $
* @version		1.4.2 23/08/2019
* @package		bsbanner
* @author       Bernard Saulmé
* @copyright	Copyright (C) 2008 - 2019 Bernard Saulmé
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

defined('_JEXEC') or die;

$document = JFactory::getDocument();
$document->addStyleSheet(JURI::root(true).'/components/com_bsbanner/assets/bsbanner-back.css');

?>
<div class="bsbanner <?php if (version_compare(JVERSION, '3.99.99', 'lt')) {echo "";} else {echo "row";} ?>">
<?php if (isset($this->sidebar)) { ?>
	<div id="j-sidebar-container" class="col-md-2">
		<?php echo $this->sidebar; ?>
	</div>
<?php } ?>
	<div id="j-main-container" class="j-main-container col-md-12">

	<fieldset class="adminform">
		<legend class="title-back"><span class="icon-lightning"></span> <?php echo JText::_('COM_BSBANNER_PARAM'); ?></legend>
		<?php echo JText::_('COM_BSBANNER_FIELDSET_CONFIG0'); ?>
		<p class="small mt-1"><?php echo str_replace('\\', '/', JPATH_COMPONENT_SITE.'/models/#ref-image.conf2.php'); ?></p>
		<?php echo JText::_('COM_BSBANNER_FIELDSET_CONFIG1'); ?>
		
		<form method="post" action="<?php echo JRoute::_('index.php'); ?>" >
			<input name="option" type="hidden" value="com_bsbanner" />
			<input name="view" type="hidden" value="param" />
			<input name="task" type="hidden" value="resetconf" />
			<button class="btn btn-danger">
				<span class="icon-loop"></span>
				<?php echo JText::_('COM_BSBANNER_RESET') ?>
			</button>

			<?php echo JHtml::_('form.token'); ?>
		</form>		
		
	</fieldset>
<?php
	$fichier_param = JPATH_COMPONENT_SITE.'/models/#ref-image.conf2.php';
	if (@file_exists($fichier_param)) {
		require_once $fichier_param;

		$nb = count($maconf);
		?>
		<br />
		<fieldset class="adminform">
		<legend class="title-back"><span class="icon-equalizer"></span> <?php echo JText::_('COM_BSBANNER_PLUGIN_PARAM');?></legend>
			<table class="adminlist table-striped">
				<tr><th class="bsbn_param"><?php echo JText::_('COM_BSBANNER_NUM');?></th><th class="bsbn_param"><?php echo JText::_('COM_BSBANNER_ID');?></th><th class="bsbn_param"><?php echo JText::_('COM_BSBANNER_COND');?></th><th class="bsbn_param"><?php echo JText::_('COM_BSBANNER_VAL');?></th><th class="bsbn_param"><?php echo JText::_('COM_BSBANNER_COLOUR');?></th><th class="bsbn_param"><?php echo JText::_('COM_BSBANNER_IMG');?></th></tr>
			<?php
			for ($i = 1 ; $i <= $nb ; ++$i) {
				echo '<tr><td class="row0">'.$i.'</td><td>'.$maconf[$i]['id'].'</td><td>'.htmlspecialchars($maconf[$i]['cond']).'</td><td>'.$maconf[$i]['val'].'</td><td style="background-color: #'.$maconf[$i]['color'].';">'.$maconf[$i]['color'].'</td><td>'.$maconf[$i]['img'].'</td></tr>';
			}
			?>
			</table>
		</fieldset>
<?php
	}
?>
	</div>
</div>
