<?php
/**
* @version		1.4.2 25/05/2019
* @package		bsbanner_who
* @author       Bernard Saulm
* @copyright	Copyright (C) 2008 - 2019 Bernard Saulm
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

defined('_JEXEC') or die;

class modBsBannerWhoHelper {
// Dnombre les utilisateurs du module bs_banner (nb de bannieres : plus simple en fait ... nb d'images en .png)
// Necessite un rpertoire spcifique pour donner une valeur cohrente
	static function getOnlineCount($rep_tmp) {
		$suff_tmp = '.png';
		$compte = 0;

		if (@is_dir($rep_tmp)) {
			$handle = @opendir($rep_tmp);

			while ($file = @readdir($handle)) {
				if (($suff_tmp != '' && @is_file($rep_tmp.$file) && strstr($file, $suff_tmp)) || ($suff_tmp === '' && @is_file($rep_tmp.$file)))
					$compte = $compte + 1;
			}
			closedir($handle);
		}

		return $compte;
	}

// Liste les noms des utilisateurs avec bannires (= liste des images .png dans le rpertoire)
	static function getOnlineMemberNames($rep_tmp, $triemode) {

		$suff_tmp = '.png';
		$liste = array();
		if (@is_dir($rep_tmp)) {
			$handle = @opendir($rep_tmp);

			while ($file = @readdir($handle)) {
				if (($suff_tmp != '' && @is_file($rep_tmp.$file) && strstr($file, $suff_tmp)) || ($suff_tmp === '' && @is_file($rep_tmp.$file)))
					$liste[] = str_replace($suff_tmp, '', $file);
			}

			closedir($handle);
		}

		if ($triemode == 0)
			sort($liste);  
		else if ($triemode == 1)
			rsort($liste);  
		else if ($triemode == 2)
			shuffle($liste);  

		return $liste;
	}
}

?>
