<?php
/**
* @version $Id: default.php $
* @version		1.4.2 23/08/2019
* @package		bsbanner
* @author       Bernard Saulmé
* @copyright	Copyright (C) 2008 - 2019 Bernard Saulmé
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

defined('_JEXEC') or die;

$document = JFactory::getDocument();
$document->addScript(JURI::root().'components/com_bsbanner/assets/jscolor.js');
$document->addStyleSheet(JURI::root().'components/com_bsbanner/assets/bsbanner.css');

function check_ouinon($check) {
	if ($check == 1)
		return("checked=\"checked\"");
	else
		return '';
}
?>

<h2><?php echo JText::_('BSBNR_TITRE_SAISIE'); ?></h2>

<?php
	if ($this->section_top)
		echo "\n<br/>\n<section id=\"". $this->section_top."\">";
	echo $this->display_module('bsbanner_top');
	if ($this->section_top)
		echo "</section>";
?>

<div class="bsbanner">
<?php
// Si utilisateur identifié
if (isset($this->username)) {
?>

<script>
<!--
function cache_oupas(id) {
	if (document.getElementById(id).style.display == "block")
		document.getElementById(id).style.display="none";
	else
		document.getElementById(id).style.display="block";
}

function traite_bouton() {
	document.getElementById('bouton2').value='<?php echo JText::_('BSBNR_MSG_WAIT'); ?>';
	document.getElementById('bouton2').style.backgroundColor="#cccccc";
	document.getElementById('bouton2').style.backgroundImage="none";
	document.getElementById('bouton2').disabled=true;
	document.getElementById('bouton_annul').disabled=true;
	return(true);
}

ipourajout = 0;
function ajout_ligne(bouton, id, i) {
	if (ipourajout <= <?php echo $this->nb_ligne_saisie; ?> ) {
		if (i > ipourajout)
			ipourajout = i;
		nom_tmp = 'colid'+ipourajout;
		document.getElementById(nom_tmp).style.visibility="visible";
		document.getElementById(nom_tmp).style.display="";

		ipourajout++;
	} else {
		alert('<?php echo JText::_('BSBNR_MSG_MAX_REACH'); ?>');
		document.getElementById(bouton).disabled=true;
		document.getElementById(bouton).style.display="none";
	}

	return false;
}

function change_instance(instance) {
	url = "<?php echo 'index.php?option=com_bsbanner&view=edit&instance='; ?>"+instance;
	window.location.replace(url);
	return true;
}
-->
</script>

	<form method="post" action="<?php echo JRoute::_('index.php'); ?>" enctype="multipart/form-data" onsubmit="return traite_bouton();">
<?php
			if ($this->edit_date == 0) {
				echo '<input type="hidden" id="date1" name="date1" value="'.$this->date_tmp.'" />';
			} else if ($this->edit_date == 1) {
				echo JHTML::_('calendar', $this->date_tmp, 'jform_date1', 'jform_date1', JText::_('BSBNR_DATE_CALENDAR2'), null);
			}

			if ($this->nb_instance > 1) { // Si plusieurs instances possibles
				echo '&nbsp;'.JText::_('BSBNR_LABEL_INSTANCE').' <select name="instance" onchange="change_instance(this.value)" >';
				for ($i = 1; $i <= $this->nb_instance ; ++$i) {
					if (isset($this->maparam["instance"]) && $i == $this->maparam["instance"])
						echo '<option selected="selected" value="'.$i.'">&nbsp;'.$i.'&nbsp;</option>';
					else
						echo '<option value="'.$i.'">&nbsp;'.$i.'&nbsp;</option>';
				}
				echo '</select>';
			} else
				echo '<input name="instance" type="hidden" value="1" />';
?>
			<table class="tabdata" id="tabdata">
				<tr>
					<?php if ($this->edit_date == 2) { echo '<th>'.JText::_('BSBNR_TAB0_SAISIE').'</th>'; } ?>
					<th><?php echo JText::_('BSBNR_TAB1_SAISIE'); ?></th>
					<th><?php echo JText::_('BSBNR_TAB2_SAISIE'); ?></th>
					<th><img src="components/com_bsbanner/images/checkin.png" width="16" height="16" alt="<?php echo JText::_('BSBNR_TITRE'); ?>" title="<?php echo JText::_('BSBNR_TITRE'); ?>" /></th>
				</tr>
<?php
	// Affichage tableau de saisie par défaut
	$nb_data = count($this->maconf); // = nb de paramères configurés
	for ($i = 1 ; $i <= $this->nb_ligne_saisie ; ++$i) {

	if (isset($this->maconf[$i]["id"]))
		echo '<tr id="colid'.$i.'">'."\n";
	else
		echo '<tr id="colid'.$i.'" style="visibility:hidden; display:none;">'."\n";

	if ($this->edit_date == 2)
		echo ' <td class="col_id">'.JHTML::_('calendar', $this->date_tmp, 'jform_date'.$i, 'jform_date'.$i, JText::_('BSBNR_DATE_CALENDAR2'), null).'</td>';

	$valeur_tmp = '';
	if (isset($this->maconf[$i]["id"])) {
		echo " <td class=\"col_id\"><input class=\"form_data inputbox fondinput\" id=\"id".$i."\" name=\"id".$i."\" type=\"text\" value=\"".$this->maconf[$i]["id"]."\" /></td>";
		// Si valeur dans cookies alors affiche
		if (isset($_COOKIE[$this->id_cookie.$this->maconf[$i]["id"]]))
			$valeur_tmp = $_COOKIE[$this->id_cookie.$this->maconf[$i]["id"]];
	} else
		echo ' <td class="col_id"><input class="form_data inputbox fondinput" id="id'.$i.'" name="id'.$i.'" type="text" value="" /></td>';

	echo " <td class=\"col_data\"><input class=\"form_data inputbox\" id=\"data".$i."\" name=\"data".$i."\" type=\"text\" value=\"".$valeur_tmp."\" /></td>";

	if ($this->plugin != 'data_default') {
		if (isset($this->maconf[$i]["img"]))
			$check = $this->maconf[$i]["img"];
		else
			$check = 1;

		echo " <td class=\"col_img\"><input class=\"form_img\" name=\"img".$i."\" type=\"checkbox\" value=\"1\" ".check_ouinon($check)." /></td>";
	} else
		echo " <td class=\"col_img\"><input name=\"img".$i."\" type=\"hidden\" value=\"1\" /></td>";

		echo "\n</tr>\n";
	}
?>
			</table>

			<button class="btn btn-secondary" type="button" id="bouton_ajout" name="bouton_ajout" onclick="ajout_ligne('bouton_ajout', 'tabdata', <?php echo $nb_data+1; ?>); return false;">
				<span class="icon-new"></span>
				<?php echo JText::_('BSBNR_BT_AJOUT_LIGNE'); ?>
			</button>

			<button type="button" class="plusmoins btn btn-secondary" onclick="cache_oupas('idParam');">
				<b>+/-</b><?php echo JText::_('BSBNR_TEXT_SAISIE'); ?>
			</button>

			<p> </p>

			<div id="idParam" class="id_info" style="display:none;">
			<fieldset class="adminform">

			<table class="tabparam" >
				<tr>
					<td class="col_data"><?php echo JText::_('BSBNR_COLOR_TEXT'); ?></td>
					<td class="col_data"><input class="jscolor" id="image_couleur_texte" name="image_couleur_texte" type="text" maxlength="6" value="<?php echo $this->maparam["image_couleur_texte"]?>" class="color inputbox" /></td>
				</tr>
				<tr>
					<td class="col_data"><?php echo JText::_('BSBNR_COLOR_BACK'); ?></td>
					<td class="col_data"><input class="jscolor" id="image_couleur_fond" name="image_couleur_fond" type="text" maxlength="6" value="<?php echo $this->maparam["image_couleur_fond"]?>" class="color inputbox" /></td>
				</tr>
				<tr>
					<td class="col_data"><?php echo JText::_('BSBNR_TRANSPAR_BACK'); ?></td>
					<td class="col_data"><input type="checkbox" class="" id="image_transparente" name="image_transparente" value="1" <?php if ($this->maparam["image_transparente"] == 1) { echo "checked=\"checked\""; } ?> /></td>
				</tr>
			<?php if (isset($this->maparam["image_fond_util"]) && $this->maparam["image_fond_util"] >= 1) { ?>
				<tr>
					<td><?php echo JText::_('BSBNR_FOND_SAISIE'); ?></td>
					<td>
						<input type="file" name="userfile" class="inputbox button" />
						<input type="hidden" name="MAX_FILE_SIZE" value="<?php echo $this->maparam["image_fond_util"]; ?>" />
					</td>
				</tr>
			<?php } ?>
			<?php if (isset($this->maparam["image_fond_util_url"]) && $this->maparam["image_fond_util_url"] >= 1) { ?>
			<tr>
				<td class="col_data"><?php echo JText::_('BSBNR_FOND_SAISIE_URL'); ?></td>
				<td class="col_data"><input id="image_couleur_fond_url" name="image_couleur_fond_url" type="text" maxlength="100" value="<?php echo $this->maparam["image_couleur_fond_url"]?>" class="inputbox" /></td>
			</tr>
			<?php } ?>
			<?php if (isset($this->maparam["kunena_add_signature"]) && ($this->maparam["kunena_add_signature"] >= 2)) { ?>
			<tr>
				<td class="col_data"><?php echo JText::_('BSBNR_KUNENA_ADD_SIGNATURE'); ?></td>
				<td>
					<select name="select" id="kunena_add_signature_choice" name="kunena_add_signature_choice">
						<option value="0" <?php if ($this->maparam["kunena_add_signature_choice"] == 0) echo 'selected="selected"'; ?>><?php echo JText::_('BSBNR_KUNENA_ADD_SIGNATURE_0'); ?></option>
						<option value="1" <?php if ($this->maparam["kunena_add_signature_choice"] == 1) echo 'selected="selected"'; ?>><?php echo JText::_('BSBNR_KUNENA_ADD_SIGNATURE_1'); ?></option>
						<option value="2" <?php if ($this->maparam["kunena_add_signature_choice"] == 2) echo 'selected="selected"'; ?>><?php echo JText::_('BSBNR_KUNENA_ADD_SIGNATURE_2'); ?></option>
					 </select>
				</td>
			</tr>
			<?php } ?>
			<?php if (isset($this->maparam["archive_data_user"]) && ($this->maparam["archive_data_user"] & 2)) { ?>
			</table>
			<br />
			<table class="tabparam" >
			<tr>
				<td class="col_data"><?php echo JText::_('BSBNR_SAUV_SAISIE_COOKIE'); ?></td>
				<td class="col_data"><input id="sauve_saisie_cookie" name="sauve_saisie_cookie" type="checkbox" checked="checked" class="inputbox" /></td>
			</tr>
			<?php } ?>
			</table>

			</fieldset>
		</div>

		<p> </p>
		<input name="option" type="hidden" value="com_bsbanner" />
		<input id="task" name="task" type="hidden" value="cree" />
		<div>
			<button class="btn btn-primary" id="bouton2" name="bouton2">
				<span class="icon-save"></span>
				<?php echo JText::_('BSBNR_BT_VALIDER') ?>
			</button>
		</div>
		
		<?php echo JHtml::_('form.token'); ?>
	</form>

	<p>
		<?php
			echo JText::_('BSBNR_INFO_SAV');
			if (isset($this->maparam["archive_data_user"]) && ($this->maparam["archive_data_user"] & 1 || $this->maparam["archive_data_user"] & 4))
				echo JText::_('BSBNR_INFO_IMG');
			echo JText::_('BSBNR_INFO')
		?>
	</p>

<?php
	if ($this->img_file_rep != null && $this->edit_link > 0) {
?>
	<fieldset class="adminform">
		<div>
		<form method="post" action="<?php echo JRoute::_('index.php?option=com_bsbanner&view=bsbanner'); ?>" style="display: inline;" >
			<button class="btn btn-secondary">
				<span class="icon-zoom-in"></span>
				<?php echo JText::_('BSBNR_BT_VOIR') ?>
			</button>
			<?php echo JHtml::_('form.token'); ?>
		</form>
		<?php if ($this->edit_link == 2) { ?>
		<form method="post" action="<?php echo JRoute::_('index.php?option=com_bsbanner&view=data'); ?>" style="display: inline;" >
			<button class="btn btn-secondary">
				<span class="icon-equalizer"></span>
				<?php echo JText::_('BSBNR_BT_DATA') ?>
			</button>
			<?php echo JHtml::_('form.token'); ?>
		</form>
		<?php } ?>
		<form method="post" action="<?php echo JRoute::_('index.php?option=com_bsbanner&view=supp'); ?>" style="display: inline;" >
			<input name="inst" type="hidden" value="<?php echo $this->maparam["instance"]; ?>" />
			<button class="btn btn-secondary">
				<span class="icon-trash"></span>
				<?php echo JText::_('BSBNR_BT_SUPPRIMER') ?>
			</button>
			<?php echo JHtml::_('form.token'); ?>
		</form>
		</div>
	</fieldset>
<?php
	}
	} else {
		echo JText::_('BSBNR_NO_IDENT');
}
?>
</div>

<?php
	if ($this->section_bottom)
		echo "\n<br/>\n<section id=\"". $this->section_bottom."\">";
	echo $this->display_module('bsbanner_bottom');
	if ($this->section_bottom)
		echo "</section>";
?>
