<?php
/**
* @version		1.4.2 25/05/2019
* @package		bsbanner_who
* @author       Bernard Saulmé
* @copyright	Copyright (C) 2008 - 2019 Bernard Saulmé
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

defined('_JEXEC') or die;

if ($showmode == 0 || $showmode == 2) {
	if ($nombre > 1)
		echo JText::sprintf('UTILISATEURS', $nombre);
	else
		echo JText::sprintf('UTILISATEUR', $nombre);
}

if ($showmode > 0 && $showmode <= 2 && count($names)) {
	echo "<ul>";
	if ($affmax > 0)
		$imax = min($affmax,count($names));
	else 
		$imax = count($names);
	for ($i = 0; $i < $imax; ++$i) {
		echo "<li><strong>".$names[$i]."</strong></li>";
	}
	echo "</ul>";
}

// Vignette utilisateur
if ($showmode == 3 || $showmode == 5) {
	$heure_now = time(); // Pour forcer le rafraichissement de l'affichage de l'image
	if (isset($user->username) && ($showmode == 3 || $showmode == 5)) {
		for ($i=1 ; $i <= $nb_instance ; ++$i) {
			$fichier = $rep_tmp.$user->username.'-'.$i.'.png';
			if ((file_exists($fichier))) {
				echo '<div class="vign_util"><img src="' .$fichier.'?t='.$heure_now.'" alt="'.$user->username.'-'.$i.'" class="banner_id" style="max-width:'.$largeur_max.'" /></div><br />';
			}
		}
	}
}

// Vignettes demo
if ($showmode == 4 || $showmode == 5) {
	if (!isset($user->username) || $showmode == 4) {
		// Affiche les demos
		for ($i = 0; $i < $affmax; ++$i) {
			echo '<div class="vign_demo"><img src="' .$rep_tmp_demo."vignette_ex".$i.'.png" alt="" class="banner_demo" style="max-width:'.$largeur_max.'" /></div>';
		}
	}
}
?>
