<?php
/**
* @version $Id: view.html.php $
* @version		1.4.2 23/08/2019
* @package		bsbanner
* @author       Bernard Saulmé
* @copyright	Copyright (C) 2008 - 2019 Bernard Saulmé
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

defined('_JEXEC') or die; 

require_once JPATH_COMPONENT_SITE.'/helpers/version.php';

class BsbannerViewBsbanner extends JViewLegacy
{
	/**
	 * display method of BSbanner view
	 * @return void
	 **/
	function display($tpl = null)
	{
		// Content
		$this->version = BS_Helper_version::get_version('com_bsbanner.manage');

		// Side bar
		if (version_compare(JVERSION, '3.99.99', 'lt'))
			$this->sidebar = JHtmlSidebar::render();

		$this->addToolbar();

		parent::display($tpl);
	}

	protected function addToolbar()
	{
		// Menu bar
		JToolBarHelper::title(JText::_('COM_BSBANNER_HOME'), 'info-2');

		// Pour afficher Paramètres de configurations
		JToolBarHelper::preferences('com_bsbanner');
		JToolBarHelper::divider();
		// Help website
		JToolBarHelper::help(JText::_('COM_BSBANNER_HELP'), false, BS_Helper_version::get_xml_item('com_bsbanner', 'authorUrl'));
	}
}
