<?php
/**
* @version		1.4.2 25/05/2019
* @package		bsbanner_who
* @author       Bernard Saulm
* @copyright	Copyright (C) 2008 - 2019 Bernard Saulm
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

defined('_JEXEC') or die;

// Inclus les fonctions bsbanner_who une fois 
require_once (dirname(__FILE__).'/helper.php');

$pparams = JComponentHelper::getParams('com_bsbanner');
$user = JFactory::getuser();

// Lecture des paramtres
$showmode = $params->get('showmode', 0);
$nb_instance = $params->get('nb_instance', '');
		
$rep_tmp = $params->get('repertoire', '');
$largeur_max = $params->get('largeur_max', '100%');

// Si vide prend par defaut la valeur du de mod_bsbanner pour les vignettes
if ($rep_tmp == '') {
	$rep_tmp = $pparams->get('fichier_image_rep', 'images/');
}

// Nb instance : si vide prend la configuration de mod_bsbanner
if ($nb_instance == '') {
	$nb_instance = $pparams->get('nb_instance', 1);
}

$rep_tmp_demo = $params->get('repertoire_demo', 'components/com_bsbanner/images/');
$trie_tmp = $params->get('triemode', 0);
$affmax = $params->get('affmax', 0);

if ($showmode == 0 || $showmode == 2) {
	$nombre = modBsBannerWhoHelper::getOnlineCount($rep_tmp);
}

$names = array();
if ($showmode > 0) {
	$names = modBsBannerWhoHelper::getOnlineMemberNames($rep_tmp, $trie_tmp);
}

require(JModuleHelper::getLayoutPath('mod_bsbanner_who'));

?>
