<?php
/**
* @version $Id: default.php $
* @version		1.4.2 23/08/2019
* @package		bsbanner
* @author       Bernard Saulmé
* @copyright	Copyright (C) 2008 - 2019 Bernard Saulmé
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

defined('_JEXEC') or die;

// Affichage de la vignette et de son url

$document = JFactory::getDocument();
$document->addStyleSheet(JURI::root().'components/com_bsbanner/assets/bsbanner.css');
?>

<h2><?php echo JText::_('BSBNR_TITRE'); ?></h2>

<?php
	if ($this->section_top)
		echo "\n<br/>\n<section id=\"". $this->section_top."\">";
	echo $this->display_module('bsbanner_top');
	if ($this->section_top)
		echo "</section>";
?>

<div class="bsbanner">

<?php
if (isset($this->username)) {
	if ($this->list_url) {
		echo '<fieldset class="adminform">';
		echo $this->list_url;
		echo '</fieldset>';
	}

	if ($this->url_img2 != null) { // Si vignette
?>
		<br /><img src="<?php echo $this->url_img2; ?>" alt="banniere" /><br /><br />
<?php
		$text_tmp = JText::_('BSBNR_BAN_URL');
		if (isset($text_tmp) && $text_tmp != 'BSBNR_BAN_URL') {
			echo JText::_('BSBNR_BAN_URL').'<div id="textespan1" class="codeacopier">'.htmlspecialchars($this->url_img1)."</div><br />";
		}

		$text_tmp = JText::_('BSBNR_BAN_URL_HTML');
		if (isset($text_tmp) && $text_tmp != 'BSBNR_BAN_URL_HTML') {
			echo JText::_('BSBNR_BAN_URL_HTML').'<div id="textespan3" class="codeacopier">';
			if ($this->mon_site_aff_pub != "")
				echo htmlspecialchars("<a href=\"".$this->mon_site_aff_pub."\"><img src=\"". $this->url_img1. "\" alt=\"".$this->mon_site_aff_pub."\" border=\"0\" /></a>");
			else
				echo htmlspecialchars("<img src=\"". $this->url_img1. "\" alt=\"".$this->username."\" border=\"0\" />");
			echo "</div><br />";
		}

		$text_tmp = JText::_('BSBNR_BAN_URL_BB');
		if (isset($text_tmp) && $text_tmp != 'BSBNR_BAN_URL_BB') {
			echo JText::_('BSBNR_BAN_URL_BB').'<div id="textespan4" class="codeacopier">';
			if ($this->mon_site_aff_pub != "")
				echo htmlspecialchars("[url=".$this->mon_site_aff_pub."] [img]".$this->url_img1."[/img] [/url]");
			else
				echo htmlspecialchars("[img]".$this->url_img1."[/img]");
			echo "</div><br />";
		}
	} else {
		echo JText::_('BSBNR_NO_BANNER');
		if ($this->nb_instance > 1)
			echo ' '.$this->inst;
	}
} else {
	echo JText::_('BSBNR_NO_IDENT');
}

?>
</div>

<?php
	if ($this->section_bottom)
		echo "\n<br/>\n<section id=\"". $this->section_bottom."\">";
	echo $this->display_module('bsbanner_bottom');
	if ($this->section_bottom)
		echo "</section>";
?>
