<?php
/**
* @version $Id: default.php $
* @version		1.4.2 23/08/2019
* @package		bsbanner
* @author       Bernard Saulmé
* @copyright	Copyright (C) 2008 - 2019 Bernard Saulmé
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

defined('_JEXEC') or die;

$document = JFactory::getDocument();
$document->addStyleSheet(JURI::root().'components/com_bsbanner/assets/bsbanner.css');

if (isset($this->param) && $this->param && version_compare(JVERSION, '3.7.0', 'lt'))
	JHTML::_('behavior.calendar');
?>
<h2><?php echo JText::_('BSBNR_TITRE_DATA'); ?></h2>

<?php
	if (isset($this->section_top) && $this->section_top)
		echo "\n<br/>\n<section id=\"". $this->section_top."\">";
	echo $this->display_module('bsbanner_top');
	if (isset($this->section_top) && $this->section_top)
		echo "</section>";
?>

<div class="bsbanner">
<br />
<?php
// Config
	if (isset($this->param) && $this->param) { ?>
	<fieldset class="adminform">
		<form method="post" action="<?php echo JRoute::_('index.php?option=com_bsbanner&view=data'); ?>" enctype="multipart/form-data" name="formconfig" >
		<?php echo $this->param; ?>
		<?php echo JHtml::_('form.token'); ?>
		</form>
	</fieldset>
<?php
	}

// Import / Export
	if (isset($this->impexp) && $this->impexp) { ?>
	<fieldset class="adminform">
		<?php echo $this->impexp; ?>
	</fieldset>
<?php
	}

// Data
	if (isset($this->data) && $this->data) { ?>
	<fieldset class="adminform">
		<?php echo $this->data; ?>
	</fieldset>
<?php } ?>

</div>

<?php
	if (isset($this->section_bottom) && $this->section_bottom)
		echo "\n<br/>\n<section id=\"". $this->section_bottom."\">";
	echo $this->display_module('bsbanner_bottom');
	if (isset($this->section_bottom) && $this->section_bottom)
		echo "</section>";
?>
