<?php
/**
* @version $Id: dec-en.php $
* @version		1.4.2 23/08/2019
* @package		bsbanner
* @author       Bernard Saulmé
* @copyright	Copyright (C) 2008 - 2019 Bernard Saulmé
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

defined('_JEXEC') or die;

$document = JFactory::getDocument();
$document->addStyleSheet(JURI::root().'components/com_bsbanner/assets/bsbanner.css');
?>
<h2>Data and 'vignette' creation</h2>
<div class="bsbanner">
	<br />
	<div>
	You can create 'vignettes' with the labels and the values that you provide.
	This 'vignette' can be included in your signature, forum...
	</div>
	<br />
	<h4>Print</h4>
	<p>To print the vignette and see the link.</p>
	<br />
	<h4>Input</h4>
	<div>
	<p>Data and inputs:</p>
	<ul>
	<li>The printed labels are the one with limits with predefined colors.</li>
	<li>Labels can be in any order.</li>
	<li>Labels can be changed.</li>
	<li>Only the 4 first characters are used for the vignette.</li>
	<li>Only bales with values are used.</li>
	</ul>
	<br />
	<p>To modify extra parameters click on '+/-':</p>
	<ul>
	<li>Change text color (RGB code).</li>
	<li>Change background color (RGB code).</li>
	<li>Transparent background.</li>
	<?php if ($this->image_fond_util > 0) { ?>
	<li>File for image background.</li>
	<?php } ?>
	<?php if ($this->image_fond_util_url > 0) { ?>
	<li>Background image url.</li>
	<?php } ?>
	<?php if ($this->archive_data_user_cookie == 1) { ?>
	<li>Memorize last data input (using cookies).</li>
	<?php } ?>
	</ul>
	</div>
	<br />
	<h4>Delete</h4>
	<p>To delete your vignette.</p>
	<?php if ($this->plugin != 'data_default') { ?>
	<br />
	<h4>Datas</h4>
	<ul>
	<li>Data are maintained <?php echo $this->archive_data_user_days; ?> days.</li>
	<li>A maximum of <?php echo $this->archive_data_user_nb; ?> inputs are kept.</li>
	</ul>
	<?php } ?>
	</div>
	<br />
	<div class="bsfooter">
	<?php echo $this->version.'<br />';?>
	</div>
</div>
