<?php
/**
* @version $Id: view.html.php $
* @version		1.4.2 23/08/2019
* @package		bsbanner
* @author       Bernard Saulmé
* @copyright	Copyright (C) 2008 - 2019 Bernard Saulmé
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

defined('_JEXEC') or die;

class BsbannerViewDoc extends JViewLegacy
{
	function display($tpl = null)
	{
		require_once JPATH_COMPONENT_SITE.'/helpers/version.php';

		$pparams = JComponentHelper::getParams('com_bsbanner');
		$jinput = JFactory::getApplication()->input;

		$this->plugin = $pparams->get('plugin', 'data_default');
		$this->image_fond_util = $pparams->get('image_fond_util', '307200');
		$this->image_fond_util_url = $pparams->get('image_fond_util_url', '307200');
		$this->archive_data_user_cookie = intval($pparams->get('archive_data_user_cookie', '1'));
		$this->archive_data_user_days = $pparams->get('archive_data_user_days', 365);
		$this->archive_data_user_nb = $pparams->get('archive_data_user_nb', 100);

		// Language
		$my_language = $jinput->get('lang', '', 'STRING');

		$lang_tmp = JFactory::getLanguage();
		if ($my_language == '')
			$my_language = substr($lang_tmp->get('tag'), 0, strrpos($lang_tmp->get('tag'),'-'));
		if ($my_language == '')
			$my_language = 'en';

		$this->fichier = JPATH_COMPONENT_SITE.'/views/doc/tmpl/doc-'.$my_language.'.php';

		// Version
		$this->version = BS_Helper_version::get_version();

		parent::display($tpl);
	}
}
?>
