<?php
/**
* @version $Id: default.php $
* @version		1.4.2 23/08/2019
* @package		bsbanner
* @author       Bernard Saulmé
* @copyright	Copyright (C) 2008 - 2019 Bernard Saulmé
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

defined('_JEXEC') or die;

$document = JFactory::getDocument();
$document->addStyleSheet(JURI::root().'components/com_bsbanner/assets/bsbanner.css');
?>
<script type="text/javascript">
<!--
function change_instance(instance) {
	url = "<?php echo 'index.php?option=com_bsbanner&view=supp&inst='; ?>"+instance;
	window.location.replace(url);
	return true;
}
-->
</script>

<h2>
<?php
	echo JText::_('BSBNR_TITRE_SUP');
	if ($this->nb_instance > 1)
		echo ' '.$this->inst;
?>
</h2>
<div class="bsbanner">
<br />
<?php
	if ($this->nb_instance > 1) { // Si plusieurs instances possibles
		echo '&nbsp;'.JText::_('BSBNR_LABEL_INSTANCE').' <select name="instance" onchange="change_instance(this.value)" >';
		for ($i = 1; $i <= $this->nb_instance ; ++$i) {
			if ($i == $this->inst)
				echo '<option selected="selected" value="'.$i.'">&nbsp;'.$i.'&nbsp;</option>';
			else
				echo '<option value="'.$i.'">&nbsp;'.$i.'&nbsp;</option>';
		}
		echo '</select>';
	}

	if ($this->img_file_rep != null) {
	?>
		<fieldset class="adminform">
		<legend><?php echo JText::_('BSBNR_TITRE_SUP_IMG'); ?></legend>
			<form method="post" action="<?php echo JRoute::_('index.php'); ?>">
				<input name="option" type="hidden" value="com_bsbanner" />
				<input name="task" type="hidden" value="supp" />
				<input name="instance" type="hidden" value="<?php echo $this->inst; ?>" />
				<button class="btn btn-danger">
					<span class="icon-trash"></span>
					<?php echo JText::_('BSBNR_BT_SUPPRIMER') ?>
				</button>
				
				<?php echo JHtml::_('form.token'); ?>
			</form>
		</fieldset>
<?php
	} else { // Sinon
		echo '<fieldset class="adminform">'.JText::_('BSBNR_NO_BANNER');
		if ($this->nb_instance > 1)
			echo ' '.$this->inst;
		echo '</fieldset>';
	}

	if ($this->plugin != 'data_default') {
?>
		<fieldset class="adminform">
		<legend><?php echo JText::_('BSBNR_TITRE_SUP_DATA'); ?></legend>
			<form method="post" action="<?php echo JRoute::_('index.php'); ?>">
				<input name="option" type="hidden" value="com_bsbanner" />
				<input name="task" type="hidden" value="suppdata" />
				<input name="instance" type="hidden" value="<?php echo $this->inst; ?>" />
				<button class="btn btn-danger">
					<span class="icon-trash"></span>
					<?php echo JText::_('BSBNR_BT_SUPPRIMER') ?>
				</button>
				
				<?php echo JHtml::_('form.token'); ?>
			</form>
		</fieldset>
<?php
	}
?>
</div>
