<?php
/**
* @version $Id: view.html.php $
* @version		1.4.2 23/08/2019
* @package		bsbanner
* @author       Bernard Saulmé
* @copyright	Copyright (C) 2008 - 2019 Bernard Saulmé
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

defined('_JEXEC') or die;

class BsbannerViewSupp extends JViewLegacy
{
	function display($tpl = null)
	{
		$user = JFactory::getuser();
		$pparams = JComponentHelper::getParams('com_bsbanner');
		$jinput = JFactory::getApplication()->input;

		$this->nb_instance = $pparams->get('nb_instance', 1);
		$this->plugin = $pparams->get('plugin', 'data_default');

		$this->inst = $jinput->get('inst', 1, 'INT');

		// Vignette file name
		$this->img_file_rep = JPATH_ROOT.'/'.$pparams->get('fichier_image_rep', 'images/').$user->username.'-'.$this->inst.'.png';
		if (!@file_exists($this->img_file_rep))
			$this->img_file_rep = null;

		parent::display($tpl);
	}
}
?>
